# Mailu

Coöp Cloud + [Mailu][Mailu] = 🥳

<!-- metadata -->
* **Category**: Apps
* **Status**: 1, alpha
* **Image**: [`mailu/*`](https://hub.docker.com/r/mailu/), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: N/A
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

NOTE: Mailu requires "host-mode" networking so that containers are aware of
remote IP addresses. This means that you can only deploy one Mailu instance per
host.

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][compose-traefik]
3. `abra app new mailu`
4. `abra app config YOURAPPDOMAIN` - be sure to change `$WEB_DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app deploy YOURAPPDOMAIN`
9. Create initial user:
```
abra app YOURAPPDOMAIN run admin flask mailu admin admin YOURDOMAIN YOURPASSWORD
```

[Mailu]: https://mailu.io/
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/coop-cloud/traefik
